<script>
  let current = "";
</script>


<button class="btn btn-secondary" class:myClassName={current == "messi"} on:click={() => (current = "messi")}>
  Messi
</button>

<button class="btn btn-secondary" class:myClassName={current == "ronaldo"} on:click={() => (current = "ronaldo")}>
  Ronaldo
</button>

<button class="btn btn-secondary" class:myClassName={current == "neymar"} on:click={() => (current = "neymar")}>
  Neymar
</button>

<style>
  button.myClassName {
    background-color: blueviolet;
  }
</style>


